# {{ ansible_managed }}

version: "3"

services:
  inway:
    image: "nlxio/inway:{{ nlx_inway_version }}"
    restart: "unless-stopped"
    ports:
      - "8443:8443"
    volumes:
      - "{{ nlx_tls_directory }}/root.crt:{{ nlx_tls_directory }}/root.crt:ro"
      - "{{ nlx_tls_directory }}/{{ ansible_hostname }}.crt:{{ nlx_tls_directory }}/{{ ansible_hostname }}.crt:ro"
      - "{{ nlx_tls_directory }}/{{ ansible_hostname }}.key:{{ nlx_tls_directory }}/{{ ansible_hostname }}.key:ro"
      - "{{ nlx_inway_config_directory }}/service-config.toml:{{ nlx_inway_config_directory }}/service-config.toml:ro"
    environment:
      DIRECTORY_REGISTRATION_ADDRESS: "directory-registration-api:8092"
      SELF_ADDRESS: "{{ ansible_hostname }}:8443"
      SERVICE_CONFIG: "{{ nlx_inway_config_directory }}/service-config.toml"
      TLS_NLX_ROOT_CERT: "{{ nlx_tls_directory }}/root.crt"
      TLS_ORG_CERT: "{{ nlx_tls_directory }}/{{ ansible_hostname }}.crt"
      TLS_ORG_KEY: "{{ nlx_tls_directory }}/{{ ansible_hostname }}.key"
      DISABLE_LOGDB: "{{ nlx_inway_transaction_log_enabled | ternary('0', '1') }}"
      POSTGRES_DSN: "postgres://postgres:benchmark@{{ nlx_inway_transaction_log_hostname }}/nlx?sslmode=disable"
      LOG_TYPE: "local"
      LOG_LEVEL: "{{ nlx_inway_log_level }}"
    extra_hosts:
      - "directory-registration-api:{{ hostvars['directory-01'].ansible_host }}"
